Deleting fonts causes 'Invalid Parameter' error

Bug #1297510 reported by Son Nguyen on 2014-03-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Son Nguyen
1.8
High
Unassigned
1.9
High
Unassigned

Bug Description

Version: master
Platform: all

In the Configure site/Fonts, clicking 'Delete font' button of a google web font causes 'Invalid Parameter' error:

Mahara: Invalid Parameter
A required parameter is missing or malformed

The 'font' parameter is not alphanumeric only

Son Nguyen (ngson2000) on 2014-04-09
Changed in mahara:
assignee: nobody → Son Nguyen (ngson2000)
status: New → In Progress

Reviewed: https://reviews.mahara.org/3227
Committed: http://gitorious.org/mahara/mahara/commit/63227a778c469530cdee39deb2d86389d9b634f5
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 63227a778c469530cdee39deb2d86389d9b634f5
Author: Son Nguyen <email address hidden>
Date: Thu Apr 10 14:12:38 2014 +1200

Allow to delete google and local fonts Bug #1297510

Change-Id: Idc78d7393a1fbf7637a2767e839fba04d3bbc2ab
Signed-off-by: Son Nguyen <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "1.9_STABLE" branch: https://reviews.mahara.org/3246

Reviewed: https://reviews.mahara.org/3245
Committed: http://gitorious.org/mahara/mahara/commit/fc607654a996fcff5730c58beed84df44ba24b40
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit fc607654a996fcff5730c58beed84df44ba24b40
Author: Son Nguyen <email address hidden>
Date: Thu Apr 10 14:12:38 2014 +1200

Allow to delete google and local fonts Bug #1297510

Change-Id: Idc78d7393a1fbf7637a2767e839fba04d3bbc2ab
Signed-off-by: Son Nguyen <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3246
Committed: http://gitorious.org/mahara/mahara/commit/220e8c75e84ae6b46f77b902f0fe6eb5f8596fed
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit 220e8c75e84ae6b46f77b902f0fe6eb5f8596fed
Author: Son Nguyen <email address hidden>
Date: Thu Apr 10 14:12:38 2014 +1200

Allow to delete google and local fonts Bug #1297510

Change-Id: Idc78d7393a1fbf7637a2767e839fba04d3bbc2ab
Signed-off-by: Son Nguyen <email address hidden>

Robert Lyon (robertl-9) on 2014-04-14
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2014-04-22
Changed in mahara:
milestone: none → 1.10.0
Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers